
Redmine - Feature #21249

Ability to filter issues by attributes of a version custom field (e.g. release date)

2015-11-17 08:57 - Sebastian Paluch

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

Issues can have Target version and other custom fields of Version type. It would be very desire to have an ability to filter issues by

any attribute of Version type field (both standard and custom).

An example, I would like to find all issues that version in "Target milestone" custom field is supposed to be released this month.

Currently, every month I need to go though all projects and update saved queries manually to show stuff for new month.

It seems that currently, only custom fields for Versions and only for Target version are shown in the filter, but this does not include

release date, status, etc. and does not work for custom fields of Version type.

Related issues:

Related to Redmine - Feature #23215: Add the possibility to filter issues aft... Closed

Has duplicate Redmine - Feature #17962: Filterable versions in dropdowns (tar... Closed

Associated revisions

Revision 16191 - 2017-01-14 11:52 - Jean-Philippe Lang

Filters on chained custom fields and custom field attributes (#21249).

Revision 16192 - 2017-01-14 11:53 - Jean-Philippe Lang

Adds :label_attribute_of_object string to locales (#21249).

Revision 16197 - 2017-01-14 13:37 - Jean-Philippe Lang

Cast as decimal(30,0) instead of integer (#21249).

History

#1 - 2015-12-17 02:36 - Toshi MARUYAMA

- Category changed from Search engine to Issues filter

#2 - 2016-06-06 17:23 - Dipan Mehta

+1

#3 - 2016-07-02 14:28 - Toshi MARUYAMA

- Related to Feature #23215: Add the possibility to filter issues after Target Version's Status and Due Date added

#4 - 2017-01-14 11:56 - Jean-Philippe Lang

- Subject changed from Add ability to filter issues by assigned version attributes e.g. release date to Ability to filter issues by attributes of a version

custom field (e.g. release date)

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.4.0

- Resolution set to Fixed

Feature added in r16192. So now, if you have a "Milestone" version custom fields for issues, you'll be able to filter issues by:

Milestone (was already possible)

Milestone's due date
Milestone's status

and all custom fields for versions that have the "Used as filter" checked

Basically, we now have the same filters for version custom fields as those we had for the standard "Target version" field.

#5 - 2017-03-20 06:05 - Go MAEDA

- Has duplicate Feature #17962: Filterable versions in dropdowns (target version and custom version fields on issues) added
